//
// Swiftfin is subject to the terms of the Mozilla Public
// License, v2.0. If a copy of the MPL was not distributed with this
// file, you can obtain one at https://mozilla.org/MPL/2.0/.
//
// Copyright (c) 2022 Jellyfin & Jellyfin Contributors
//

import AVFAudio
import SwiftUI
import UIKit

class AppDelegate: NSObject, UIApplicationDelegate {
	static var orientationLock = UIInterfaceOrientationMask.all

	func application(_ application: UIApplication,
	                 didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]? = nil) -> Bool
	{

		// Lazily initialize datastack
		_ = SwiftfinStore.dataStack

		let audioSession = AVAudioSession.sharedInstance()
		do {
			try audioSession.setCategory(.playback)
		} catch {
			print("setting category AVAudioSessionCategoryPlayback failed")
		}

		return true
	}

	func application(_ application: UIApplication, supportedInterfaceOrientationsFor window: UIWindow?) -> UIInterfaceOrientationMask {
		AppDelegate.orientationLock
	}
}
